## com.ericsson.otp.ic
Class RefHolder

    java.lang.Object
      com.ericsson.otp.ic.RefHolder

    public final class RefHolder

extends java.lang.Object

Holder class for Ref.

Field Summary
`Ref` `value` Ref instance variable.

Constructor Summary
`RefHolder()`
`RefHolder(Ref initial)`

Method Summary
`void` `_marshal(com.ericsson.otp.erlang.OtpOutputStream out)` Marshal method for the RefHolder class, encodes the Ref object value to the output stream.
`void` `_unmarshal(com.ericsson.otp.erlang.OtpInputStream in)` Unmarshal method for the RefHolder class, decodes a Ref object from the output stream and assigns it to the Holder value field.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Ref value

  Ref instance variable.

Constructor Detail

### RefHolder

    public RefHolder()

### RefHolder

    public RefHolder(Ref initial)

Method Detail

### _marshal

    public void _marshal(com.ericsson.otp.erlang.OtpOutputStream out)
                  throws java.lang.Exception

  Marshal method for the RefHolder class, encodes the Ref object value to the output stream.

  Throws:
    `java.lang.Exception`

### _unmarshal

    public void _unmarshal(com.ericsson.otp.erlang.OtpInputStream in)
                    throws java.lang.Exception

  Unmarshal method for the RefHolder class, decodes a Ref object from the output stream and assigns it to the Holder value field.

  Throws:
    `java.lang.Exception`

Copyright © 1991-2007 Ericsson AB